<?php

require_once INTENSE_PLUGIN_FOLDER . '/shortcodes/custom-post/custom-post-shortcode.php';

class Intense_Blog extends Intense_Custom_Post {
	function __construct() {
		parent::__construct();

		$this->title = __( 'Blog', 'intense' );
		$this->description = __( 'The blog shortcode lets you include your posts using several different layouts. Each layout comes with predefined templates. Templates allow you to customize the look to suit your needs. 
			<br><br>
			There are many different options to filter the posts that are shown. Show posts with specific categories, tags, or formats. Choose how to order the posts and how many to show. You can also exclude specific posts or categories.
			<br><br>
			If you want to add something extra, you can animate the posts as they become visible. There are many options to choose from for the featured images as well.', 'intense' );
		$this->custom_post_type = 'post';
		$this->taxonomy = 'category';		
	}

	function shortcode( $atts, $content = null ) {
		$atts["post_type"] = "post";

		if ( empty( $atts["taxonomy"] ) ) $atts["taxonomy"] = "category";

		return parent::shortcode( $atts, $content );
	}
}